# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "tentacle-multiaddr"
version = "0.3.2"
authors = ["driftluo <driftluo@foxmail.com>"]
description = "Mini Implementation of multiaddr"
license = "MIT"
resolver = "2"
[dependencies.bs58]
version = "0.4.0"

[dependencies.bytes]
version = "1.0"

[dependencies.serde]
version = "1"

[dependencies.sha2]
version = "0.10.0"

[dependencies.unsigned-varint]
version = "0.7"
[dev-dependencies.parity-multiaddr]
version = "0.11"
